Subject: Re: [PATCH] sungem update

From: "David S. Miller" <[email-masked]>
Date: Tue, 25 Jan 2005 22:42:48 -0800

On Tue, 18 Jan 2005 17:10:14 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> This patch updates the sungem driver. I reworked all of the PM stuff, making it
> less prone to races, probably simpler to read as well, and I no longer shut the
> PHY down when the interface is down so that things like laptop-net no longer
> die (the gain in power consumption was minimal, not worth the pain). I also
> implemented basic WOL support.
> 
> There is still something I'm not totally happy with in the locking
> (explained in the comment at the beginning), basically too much locking and a
> couple of places with delays in locks. I will try to improve these later on.
> 
> If you are happy with this, please forward to Linus/Andrew asap

Sorry for taking so long.  I'll try to quick review and sanity
test this on my sparc sungem chips tomorrow Ben.